org.eclipse.viatra.cep.core.metamodels.automaton

## Interface AutomatonFactory

- All Superinterfaces:
    org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    AutomatonFactoryImpl

      public interface AutomatonFactory
      extends org.eclipse.emf.ecore.EFactory

  The Factory for the model. It provides a create method for each non-abstract class of the model.
  See Also:
    `AutomatonPackage`
  Generated:

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AutomatonFactory` | `eINSTANCE` The singleton instance of the factory.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Automaton` | `createAutomaton()` Returns a new object of class 'Automaton'.
    `EpsilonTransition` | `createEpsilonTransition()` Returns a new object of class 'Epsilon Transition'.
    `EventToken` | `createEventToken()` Returns a new object of class 'Event Token'.
    `FinalState` | `createFinalState()` Returns a new object of class 'Final State'.
    `Guard` | `createGuard()` Returns a new object of class 'Guard'.
    `HoldsFor` | `createHoldsFor()` Returns a new object of class 'Holds For'.
    `InitState` | `createInitState()` Returns a new object of class 'Init State'.
    `InternalModel` | `createInternalModel()` Returns a new object of class 'Internal Model'.
    `NegativeTransition` | `createNegativeTransition()` Returns a new object of class 'Negative Transition'.
    `Parameter` | `createParameter()` Returns a new object of class 'Parameter'.
    `ParameterBinding` | `createParameterBinding()` Returns a new object of class 'Parameter Binding'.
    `ParameterTable` | `createParameterTable()` Returns a new object of class 'Parameter Table'.
    `State` | `createState()` Returns a new object of class 'State'.
    `TrapState` | `createTrapState()` Returns a new object of class 'Trap State'.
    `TypedTransition` | `createTypedTransition()` Returns a new object of class 'Typed Transition'.
    `Within` | `createWithin()` Returns a new object of class 'Within'.
    `AutomatonPackage` | `getAutomatonPackage()` Returns the package supported by this factory.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EFactory

      `convertToString, create, createFromString, getEPackage, setEPackage`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eINSTANCE

          static final AutomatonFactory eINSTANCE

      The singleton instance of the factory.
      Generated:

  - ### Method Detail

    - #### createInternalModel

          InternalModel createInternalModel()

      Returns a new object of class 'Internal Model'.
      Returns:
        a new object of class 'Internal Model'.
      Generated:

    - #### createAutomaton

          Automaton createAutomaton()

      Returns a new object of class 'Automaton'.
      Returns:
        a new object of class 'Automaton'.
      Generated:

    - #### createEventToken

          EventToken createEventToken()

      Returns a new object of class 'Event Token'.
      Returns:
        a new object of class 'Event Token'.
      Generated:

    - #### createState

          State createState()

      Returns a new object of class 'State'.
      Returns:
        a new object of class 'State'.
      Generated:

    - #### createInitState

          InitState createInitState()

      Returns a new object of class 'Init State'.
      Returns:
        a new object of class 'Init State'.
      Generated:

    - #### createFinalState

          FinalState createFinalState()

      Returns a new object of class 'Final State'.
      Returns:
        a new object of class 'Final State'.
      Generated:

    - #### createTrapState

          TrapState createTrapState()

      Returns a new object of class 'Trap State'.
      Returns:
        a new object of class 'Trap State'.
      Generated:

    - #### createTypedTransition

          TypedTransition createTypedTransition()

      Returns a new object of class 'Typed Transition'.
      Returns:
        a new object of class 'Typed Transition'.
      Generated:

    - #### createNegativeTransition

          NegativeTransition createNegativeTransition()

      Returns a new object of class 'Negative Transition'.
      Returns:
        a new object of class 'Negative Transition'.
      Generated:

    - #### createEpsilonTransition

          EpsilonTransition createEpsilonTransition()

      Returns a new object of class 'Epsilon Transition'.
      Returns:
        a new object of class 'Epsilon Transition'.
      Generated:

    - #### createGuard

          Guard createGuard()

      Returns a new object of class 'Guard'.
      Returns:
        a new object of class 'Guard'.
      Generated:

    - #### createWithin

          Within createWithin()

      Returns a new object of class 'Within'.
      Returns:
        a new object of class 'Within'.
      Generated:

    - #### createHoldsFor

          HoldsFor createHoldsFor()

      Returns a new object of class 'Holds For'.
      Returns:
        a new object of class 'Holds For'.
      Generated:

    - #### createParameter

          Parameter createParameter()

      Returns a new object of class 'Parameter'.
      Returns:
        a new object of class 'Parameter'.
      Generated:

    - #### createParameterTable

          ParameterTable createParameterTable()

      Returns a new object of class 'Parameter Table'.
      Returns:
        a new object of class 'Parameter Table'.
      Generated:

    - #### createParameterBinding

          ParameterBinding createParameterBinding()

      Returns a new object of class 'Parameter Binding'.
      Returns:
        a new object of class 'Parameter Binding'.
      Generated:

    - #### getAutomatonPackage

          AutomatonPackage getAutomatonPackage()

      Returns the package supported by this factory.
      Returns:
        the package supported by this factory.
      Generated: